Skip to main content
GET
/
stakers
/
{address}
Retrieve a staker by address
curl --request GET \
  --url https://api.eigenexplorer.com/stakers/{address} \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/stakers/{address}"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/stakers/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "0x0000006c21964af0d420af8992851a30fa13a68b",
  "operatorAddress": "0x71c6f7ed8c2d4925d0baf16f6a85bb1736d412eb",
  "createdAtBlock": "19631203",
  "updatedAtBlock": "19631203",
  "createdAt": "2024-04-11T08:31:11.000Z",
  "updatedAt": "2024-04-11T08:31:11.000Z",
  "shares": [
    {
      "strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564a",
      "shares": "40000000000000000"
    }
  ],
  "rewards": {
    "aggregateApy": 0.1,
    "tokenAmounts": [
      {
        "tokenAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
        "cumulativeAmount": "1.4e-8"
      }
    ],
    "strategyApys": [
      {
        "strategyAddress": "0xbeac0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeebeac0",
        "apy": 0.1,
        "tokens": [
          {
            "tokenAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
            "apy": 0.1
          }
        ]
      }
    ],
    "avsApys": [
      {
        "avsAddress": "0x1de75eaab2df55d467494a172652579e6fa4540e",
        "apy": 0.1,
        "strategies": [
          {
            "strategyAddress": "0xbeac0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeebeac0",
            "apy": 0.1,
            "tokens": [
              {
                "tokenAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
                "apy": 0.1
              }
            ]
          }
        ]
      }
    ]
  },
  "tvl": {
    "tvl": 1000000,
    "tvlBeaconChain": 1000000,
    "tvlWETH": 1000000,
    "tvlRestaking": 1000000,
    "tvlStrategies": {
      "Eigen": 1000000,
      "cbETH": 2000000
    },
    "tvlStrategiesEth": {
      "stETH": 1000000,
      "cbETH": 2000000
    }
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the staker

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x9791fdb4e9c0495efc5a1f3f9271ef226251eb34"

Query Parameters

withTvl
enum<string>
default:false

Toggle whether the route should calculate the TVL from shares

Available options:
true,
false
Example:

"false"

withRewards
enum<string>
default:false

Toggle whether the route should return Avs/Operator rewards APY data

Available options:
true,
false
Example:

"false"

Response

The record of the requested operator.

address
string
required

The contract address of the staker

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x0000006c21964af0d420af8992851a30fa13a68b"

operatorAddress
string
required

The address of the operator

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x71c6f7ed8c2d4925d0baf16f6a85bb1736d412eb"

createdAtBlock
string
required

The block number at which the Staker made first delegation

Example:

"19631203"

updatedAtBlock
string
required

The block number at which the Staker made last delegation

Example:

"19631203"

createdAt
string
required

The time stamp at which the Staker made first delegation

Example:

"2024-04-11T08:31:11.000Z"

updatedAt
string
required

The time stamp at which the Staker made last delegation

Example:

"2024-04-11T08:31:11.000Z"

shares
object[]
required
rewards
object
required

The reward details for the Staker

tvl
object

The total value locked (TVL) in the AVS staker

Example:
{
"tvl": 1000000,
"tvlBeaconChain": 1000000,
"tvlWETH": 1000000,
"tvlRestaking": 1000000,
"tvlStrategies": { "Eigen": 1000000, "cbETH": 2000000 },
"tvlStrategiesEth": { "stETH": 1000000, "cbETH": 2000000 }
}